package com.jojubanking.boot.module.system.convert.doctor;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.doctor.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.doctor.DoctorDO;

/**
 * 医生信息 Convert
 *
 * @author admin
 */
@Mapper
public interface DoctorConvert {

    DoctorConvert INSTANCE = Mappers.getMapper(DoctorConvert.class);

    DoctorDO convert(DoctorCreateReqVO bean);

    DoctorDO convert(DoctorUpdateReqVO bean);

    DoctorRespVO convert(DoctorDO bean);

    List<DoctorRespVO> convertList(List<DoctorDO> list);

    PageResult<DoctorRespVO> convertPage(PageResult<DoctorDO> page);

    List<DoctorExcelVO> convertList02(List<DoctorDO> list);

}
